* {
    box-sizing: border-box;
    margin:0;
    padding:0;
}

:root {
    --color1: rgb(80, 45, 0);
    --color2: rgb(255, 230, 150);
    --color3: rgb(180, 90, 0);
    --color4: rgb(255, 250, 200);
}
.dark-mode {
    --color1: rgb(255, 230, 150);
    --color2: rgb(80, 45, 0);
    --color3: rgb(255, 250, 200);
    --color4: rgb(180, 90, 0);
}

/* BODY */

body {
    font-family: Kalam, serif;
    color: var(--color1)
}

/* HEADER */

header {
    background-color: var(--color2);
    color: var(--color1);
    width: 100%;
    height:120px;
    position:fixed;
    top:0;
    left:0;
    z-index:97;
    border: 4px solid var(--color1);
    text-align:center;
    display:flex;
    justify-content:center;
    align-items:center;
}
header h1 {
    font-size: 50px;
}

/* MENU MOBILE */

.menu-mobile { 
    position:fixed;
    display:none;
    top:8px;
    left:8px;
    height:30px;
    z-index: 98;
}
.menu-opener {
    width:30px;
    height:30px;
    border: 2px solid var(--color1);
    background-color: var(--color2);
    padding:3px 2px;
}
.menu-opener-button {
    width:22px;
    height:3px;
    background-color: var(--color1);
}
.menu-mobile-ex {
    position:absolute;
    display:none;
    top:30px;
    left:0px;
}
.menu-mobile a {
    display:block;
    border: 2px solid var(--color1);
    background-color: var(--color2);
    width:150px;
    margin:0;
    text-decoration: none;
    text-align:center;
    color: var(--color1);
    font-size:20px;
    font-weight: bold;
}

/* DARK MODE & LANGUAGE */

.flag {
    position:fixed;
    top:4px;
    right:82px;
    height:26px;
    z-index:98;
}
.flag img {
    height:100%;
    position:absolute;
    right:0;
}
button {
    background-color: var(--color1);
    color: var(--color2);
    border: 2px solid var(--color2);
    font-family: Kalam, serif;
    font-size:15px;
    padding:0px 3px;
    position:fixed;
    top:4px;
    right:4px;
    z-index:98;
}

/* NAV */

nav {
    background-color: var(--color2);
    background-image: url(images/cat-v01.jpg);
    background-size:cover;
    background-position: center;
    color: var(--color1);
    width: 120px;
    height: calc(100vh - 166px);
    position:fixed;
    top:116px;
    left:0;
    border: 4px solid var(--color1);
    text-align:center;
}
nav a {
    display:block;
    text-decoration:none;
    font-weight:bold;
    color: var(--color1);
    padding-top:5px;
    padding-bottom:3px;
    border-bottom:4px solid var(--color1);
    background-color: var(--color2);
    transition: background-color 1s ease;
}
nav a:hover {
    background-color: var(--color4);
}

/* MAIN */

.main {
    margin-top:120px;
    margin-right:120px;
    margin-left:120px;
    margin-bottom:50px;
    max-width: calc(100vw - 240px);
    background-color: var(--color4);
}
.main-sub {
    height: calc(100vh - 170px);
    background: var(--color2);
    padding: 10px;
    font-size: 20px;
    text-align:center;
    display: block;
}
.main-sub img {
    max-width:100%;
    max-height:80%;
}

/* MODAL */

.picture-container {
    max-width:1100px;
    margin-right:auto;
    margin-left:auto;
    background-color: var(--color2);
    padding:5px;
    text-align:center;
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
}
.picture {
    width:256px;
    height:171px;
    margin:5px;
}
.picture-container img {
    width:100%;
    border: 2px solid var(--color1);
    cursor:pointer;
}
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 99; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}
.modal-content {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
    -webkit-animation-name: zoom;
    -webkit-animation-duration: 0.6s;
    animation-name: zoom;
    animation-duration: 0.6s;
}
@-webkit-keyframes zoom {
    from {-webkit-transform:scale(0)} 
    to {-webkit-transform:scale(1)}
}
  
@keyframes zoom {
    from {transform:scale(0)} 
    to {transform:scale(1)}
}

/* CAROUSEL */

.carousel {
    position:relative;
}
.carousel__item {
    height: calc(100vh - 170px);
    background: var(--color2);
    padding: 10px;
    font-weight:bold;
    font-size: 2em;
    text-align:center;
    display: none;
}
.carousel__item img {
    max-width:100%;
    max-height:100%;
}
.carousel__item--selected {
    display:block;
}
.carousel__nav {
    width:100%;
    padding:20px 0px;
    position:absolute;
    bottom:0;
    left:0;
    text-align:center;
}
.carousel__button {
    width:15px;
    height:15px;
    display:inline-block;
    background: var(--color2);
    border:2px solid var(--color1);
    border-radius:50%;
    margin: 0px 5px;
    cursor:pointer;
}
.carousel__button--selected {
    background: var(--color1);
    border:2px solid var(--color2);
}

/* SECTION RIGHT */

section {
    background-color: var(--color2);
    background-image: url(images/cat-v02.jpg);
    background-size:cover;
    background-position: center;
    color: var(--color1);
    width: 120px;
    height: calc(100vh - 166px);
    position:fixed;
    top:116px;
    right:0;
    border: 4px solid var(--color1);
}

/* FOOTER */

footer {
    background-color: var(--color2);
    color: var(--color1);
    width: 100%;
    position:fixed;
    bottom:0;
    left:0;
    border: 4px solid var(--color1);
    text-align:center;
    font-weight:bold;
    padding:10px;
}
footer a {
    text-decoration:none;
    color: var(--color3);
    text-shadow: 0px 0px var(--color4);
    transition: text-shadow 1s ease;
}
footer a:hover {
    text-shadow: 2px 2px var(--color4);
}

/* MEDIA QUERIES */

@media (max-width:600px) {
    nav,
    section {
        display:none;
    }
    .menu-mobile {
        display:block;
    }
    .main {
        margin-right:0px;
        margin-left:0px;
        max-width: 100%;
        border-left:4px solid var(--color1);
        border-right:4px solid var(--color1);
    }
}